
#property indicator_chart_window

extern int X.Offset=0;
extern int Y.Offset=0;
extern int DAYS = 20;
extern int Font_Size = 10;
extern color TODAY_Title_Color = DeepSkyBlue;
extern color ADTR_Title_Color = DeepSkyBlue;
extern color TODAY_Value_Color = White;
extern color ADTR_Value_Color = White;


double ATR_Day_0;
double ATR_Total;
string ATR_String;
double PIP;
double MPP_Double;
string MPP_Total;

string prefix = "ADTR_Example_";
string name;

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
//----
   Sleep(1000);
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   Sleep(1000);
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   
//--------------------------------------------------------------------
// TODAYS PIP TRADING RANGE AND AVERAGE PIP TRADING RANGE FOR LAST MONTH   
   
 
   ATR_Day_0=(iHigh(Symbol(),1440,0) - iLow(Symbol(),1440,0));
      
   ATR_Total=0;
   int i;
   PIP=MarketInfo(Symbol(), MODE_TICKVALUE);
   
   for (i=1;i<DAYS;i++)
   {
     ATR_Total=ATR_Total+(iHigh(Symbol(),1440,i) - iLow(Symbol(),1440,i));
   }
   
   ATR_Total = ATR_Total/(DAYS-1);
      
   ATR_String=DoubleToStr(ATR_Total/Point,0);
   MPP_Double=StrToDouble(ATR_String);
     
   MPP_Double=MPP_Double*PIP;
   MPP_Total=DoubleToStr(MPP_Double,0);
   
   name = prefix +"Todays_Pips_Title";
   ObjectCreate(name, OBJ_LABEL, 0, 0, 0);
     ObjectSetText(name,"Today",Font_Size, "Arial Bold", TODAY_Title_Color);
     ObjectSet(name, OBJPROP_CORNER, 0);
     ObjectSet(name, OBJPROP_XDISTANCE, 0+X.Offset);
     ObjectSet(name, OBJPROP_YDISTANCE, 0+Y.Offset); 
   
   name = prefix +"Todays_Pips_Value";
   ObjectCreate(name, OBJ_LABEL, 0, 0, 0);
     ObjectSetText(name,DoubleToStr(ATR_Day_0/Point,0)+" Pips",Font_Size, "Arial Bold", TODAY_Value_Color);
     ObjectSet(name, OBJPROP_CORNER, 0);
     ObjectSet(name, OBJPROP_XDISTANCE, 55+X.Offset);
     ObjectSet(name, OBJPROP_YDISTANCE, 0+Y.Offset); 
      
//------------------------------------------------------------------------------------------------
//THE AVERAGE TRADING RANGE FOR ALL 19 DAYS
   
   name = prefix +"ATDR_Title";
   ObjectCreate(name, OBJ_LABEL, 0, 0, 0);
     ObjectSetText(name,"ADTR",Font_Size, "Arial Bold", ADTR_Title_Color);
     ObjectSet(name, OBJPROP_CORNER, 0);
     ObjectSet(name, OBJPROP_XDISTANCE, 150+X.Offset);
     ObjectSet(name, OBJPROP_YDISTANCE, 0+Y.Offset);
     
   name = prefix +"ADTR_Value";
   ObjectCreate(name, OBJ_LABEL, 0, 0, 0);
   ObjectSetText(name,DoubleToStr(ATR_Total/Point,0)+" Pips",Font_Size, "Arial Bold", ADTR_Value_Color);
     ObjectSet(name, OBJPROP_CORNER, 0);
     ObjectSet(name, OBJPROP_XDISTANCE, 200+X.Offset);
     ObjectSet(name, OBJPROP_YDISTANCE, 0+Y.Offset);
    
//-----------------------------------------------------------------------------------------------
   Sleep(1000);
   return(0);
  }
//+------------------------------------------------------------------+